{% extends 'base.html' %}
{% block title %} {{ program.name }} - AyoBantu by SinarPerak {% endblock %}
{% block name %}
	{% if user.is_authenticated %}
		<p style="font-size : 15px;">{{ user.username }}</p>
	{% endif %}
{% endblock %}

{% block body %}
<div class="container">
	<div class="container programs-container" style="margin-bottom: 60px; padding: 3%; border-width: 5px">
		<div class="container col-md-6">
			<img src="{{ program.img_url }}" style="max-width: 92%; margin-bottom: 5%; border-radius: 20px">
			<form class="col" action="{% url 'list' %}">
				<button type="submit" class="btn btn-secondary">Kembali</button>
			</form>
		</div>
		<div class="container col-md-6" style="font-size:15px;">
			<h1><strong>{{ program.name }}</strong></h1>
			<h6>{{ program.time_published }}</h6>
			<p><strong>{{ program.description }}</strong></p>
			<br>
			<h4><strong>Rp {{ program.hitung_donasi }}</strong> dari <strong>{{ program.banyak_donasi }}</strong> donatur</h4>
			<div class="progress" style="height: 8px; width: 70%">
				<div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="{{ program.percentage }}"
				aria-valuemin="0" aria-valuemax="100" style="width:{{ program.percentage }}% ; "></div>
			</div>
			<form class="col" action="{% url 'donasiForm' program=program.program_id %}">
				{% if user.is_authenticated %}
				<button type="submit" class="btn btn-success" style="font-size:16px;">DONASI SEKARANG</button>
				{% else %}
				<div id="ex1" class="modal">
					<div id="rounded-box-login" class="text-center">
						<div id="login">
							<h2 id="welcome">SELAMAT DATANG!</h2>
							<p id="mssg-welcome">masuk untuk bergabung dengan AyoBantu</p>
							<div id="google-button">
								<img style="width:10%;" src="https://upload.wikimedia.org/wikipedia/commons/thumb/5/53/Google_%22G%22_Logo.svg/512px-Google_%22G%22_Logo.svg.png" alt="google logo">
								<a style="font-size: 16px;"href="{% url 'social:begin' 'google-oauth2' %}">Masuk dengan Google</a><br>
							</div>
						</div>
					</div>
				</div>
				
				<p><a class="btn btn-success" href="#ex1" rel="modal:open">DONASI SEKARANG</a></p>
				{% endif %}
			</form>
		</div>
	</div>
	<div class="container col-md-8">
		<div class="container programs-container" style="width: 100%; padding:5%; font-size: 20px; border-width: 5px">
			<p>{{ program.detail }}</p>
		</div>
	</div>
	<div class="container col-md-4">
		<div class="container" style="width:100%; border-width: 5px">
			<h2><strong>DONATUR</strong></h2>
		</div>
			{% for donatur in list_donatur %}
			<div class="programs-container" style="padding:5%; border-width: 5px">
				<p style="font-size: 20px"><strong>Rp {{ donatur.donasi }}</strong></p>
				{% if donatur.anonym == 'NO' %}
					<p style="font-size: 15px">oleh <strong>{{ donatur.username }}</strong></p>
				{% else %} <p style="font-size: 15px">oleh <strong>Anonim</strong></p>
				{% endif %}
			</div>
			{% endfor %}
			
	</div>
	
	
</div>
{% endblock %}